package com.chenyang.druid.sql.dialect.greenplum.ast.expr;

import com.chenyang.druid.sql.SQLUtils;
import com.chenyang.druid.sql.ast.SQLExprImpl;
import com.chenyang.druid.sql.dialect.greenplum.visitor.GPASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public abstract class GPExprImpl extends SQLExprImpl implements GPExpr {
   public abstract void accept0(GPASTVisitor var1);

   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((GPASTVisitor)visitor);
   }

   public String toString() {
      return SQLUtils.toPGString(this);
   }
}
